## org.apache.aries.subsystem.core.archive
Interface Clause

All Known Implementing Classes:
  AriesSubsystemParentsHeader.Clause, DeployedContentHeader.Clause, ExportPackageHeader.Clause, GenericClause, GenericHeader.Clause, ImportPackageHeader.Clause, PreferredProviderHeader.Clause, ProvideCapabilityHeader.Clause, ProvisionResourceHeader.Clause, RequireBundleHeader.Clause, RequireCapabilityHeader.Clause, SubsystemContentHeader.Clause, SubsystemExportServiceHeader.Clause, SubsystemImportServiceHeader.Clause, SubsystemTypeHeader.Clause

    public interface Clause

Method Summary
`Attribute` `getAttribute(String name)`
`Collection<Attribute>` `getAttributes()`
`Directive` `getDirective(String name)`
`Collection<Directive>` `getDirectives()`
`Parameter` `getParameter(String name)`
`Collection<Parameter>` `getParameters()`
`String` `getPath()`

Method Detail

### getAttribute

    Attribute getAttribute(String name)

### getAttributes

    Collection<Attribute> getAttributes()

### getDirective

    Directive getDirective(String name)

### getDirectives

    Collection<Directive> getDirectives()

### getParameter

    Parameter getParameter(String name)

### getParameters

    Collection<Parameter> getParameters()

### getPath

    String getPath()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.